<?php
//TITLE=Failsafe disk copier

$title = 'Failsafe dd';
$progname = 'faildd';

function usagetext($prog)
{
  exec($prog.' --help', $kk);
  $k='';foreach($kk as $s)$k.="$s\n";
  return $k;
}

$text = array(
   '1. Purpose' => "

Imitate the behavior of the unix tool <code>dd</code>,
but in a way that is suitable for copying the contents
of a broken hard disk to another.<br>
That is, ignore read errors, don't desync in stream positions and aim to minimal data loss.
<pre class=smallerpre>".htmlspecialchars(usagetext('faildd'))."</pre>

", '1.1. What is dd?' => "

This is a program to copy a file or data stream
to another file or data stream.<br>

", '1. Copying' => "

faildd has been written by Joel Yliluoma, a.k.a.
<a href=\"http://iki.fi/bisqwit/\">Bisqwit</a>,<br>
and is distributed under the terms of the
<a href=\"http://www.gnu.org/licenses/licenses.html#GPL\">General Public License</a> (GPL).

", '1. Requirements' => "

A C++ compiler is required. The program also requires
LARGEFILE support which is only available in recent
versions of POSIX compliant operating systems such as Linux.

");
include '/WWW/progdesc.php';
